import request from '@/utils/request'

// 查询药品入库清单列表
export function listMedicineStockIn(query) {
  return request({
    url: '/health/medicineStockIn/list',
    method: 'get',
    params: query
  })
}

// 查询药品入库清单详细
export function getMedicineStockIn(id) {
  return request({
    url: '/health/medicineStockIn/' + id,
    method: 'get'
  })
}

// 新增药品入库清单
export function addMedicineStockIn(data) {
  return request({
    url: '/health/medicineStockIn',
    method: 'post',
    data
  })
}

// 修改药品入库清单
export function updateMedicineStockIn(data) {
  return request({
    url: '/health/medicineStockIn',
    method: 'put',
    data
  })
}

// 删除药品入库清单
export function delMedicineStockIn(id) {
  return request({
    url: '/health/medicineStockIn/' + id,
    method: 'delete'
  })
}

// 查询药品入库清单列表
export function listMedicineRealtimeStock(query) {
  return request({
    url: '/health/medicineStockIn/realTimeList',
    method: 'get',
    params: query
  })
}
